Method: networks.proposalLineItems.batchReserve

Batch reserves ProposalLineItem objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/proposalLineItems:batchReserve

Path parameters

Parameters
parent

string

Required. The parent resource where ProposalLineItems will be updated. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ],
  "overbookingAllowed": boolean
}
Fields
names[]

string

Required. The names of the ProposalLineItem objects to reserve. Format: networks/{networkCode}/proposalLineItems/{proposalLineItem}

overbookingAllowed

boolean

Optional. Whether to allow overbooking when reserving inventory.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.